Bug 9322 - Unknown number display for valid calling number
: Unknown number display for valid calling number
Status: UNCONFIRMED
Product: Chat & Call & SMS
Call Application UI
: 5.0:(10.2010.19-1)
: N900 Maemo
: Unspecified major (vote)
: ---
Assigned To: rtcomm@maemo.org
: call-ui-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-02-28 12:58 UTC by lochan lal amatya
Modified: 2011-11-02 17:23 UTC (History)
5 users (show)

See Also:


Attachments
reporter's syslog (192.51 KB, text/plain)
2010-03-04 19:16 UTC, Venomrush
Details
My SysLog (27.35 KB, text/plain)
2010-11-17 18:59 UTC, Jan Marais
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description lochan lal amatya (reporter) 2010-02-28 12:58:56 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. While calling from number calling number range 0155xxxxx and 0144xxxxx, the
nokia 900 set diplays uknown number. 
2. 
3. 

EXPECTED OUTCOME: calling number 015524645 shold be displayed as it is valid.

ACTUAL OUTCOME: Unknown Number

REPRODUCIBILITY: always
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:  Fron the day one 

User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1;
Trident/4.0; InfoPath.2; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR
3.5.30729; OfficeLiveConnector.1.3; OfficeLivePatch.0.0)
Comment 1 Andre Klapper maemo.org 2010-02-28 22:56:55 UTC
Hi lochan, thanks for reporting this!
This particular issue has already been reported in our bug tracking system, but
please feel free to report any further bugs you find.

This problem will be fixed in the next public update.

*** This bug has been marked as a duplicate of bug 6769 ***
Comment 2 lochan lal amatya (reporter) 2010-03-01 17:47:21 UTC
The bug i noticed is not similar to bug 6769.

In Nepal DN numbers for Kathmandu valley are 015521000 to 015529999, 014210000
to 014219999, 014410000 to 014499999 and 014370000 to 014379999

Among above call mades from 015521000 to 015529999 and 014410000 to 014499999
are displayed as Unlnown Number. Other numbers are displayed.
Comment 3 Venomrush 2010-03-02 23:00:33 UTC
Are you sure that the number ringing you does not have 'private' mode enabled
ie ability to hide their number?
Comment 4 lochan lal amatya (reporter) 2010-03-03 06:05:08 UTC
(In reply to comment #3)
> Are you sure that the number ringing you does not have 'private' mode enabled
> ie ability to hide their number?

Thanks for your response.

The number ringing does not have 'Private" mode enabled. We confirmed this
because the same number is displayed in another mobile N9300i with the sim used
in N900.
Comment 5 Venomrush 2010-03-03 22:00:28 UTC
Can you install syslog then:

1. Call the N900 from a number other than 0155xxxxx and 0144xxxxx so that it is
showing the caller's number 
2. Then call the N900 from 0155xxxxx and 0144xxxxx number so N900 displays
Unknown
3. Attach the log here

For how to install syslog, See
http://wiki.maemo.org/Documentation/devtools/maemo5/syslog and
http://wiki.maemo.org/Documentation/devtools/maemo5#Installation for more
information.
If you are not used to Linux, after creating the syslog file you can copy the
syslog file to those folders that are visible in the Maemo File Manager by:
  * Starting X Terminal
  * cp /var/log/syslog /home/user/MyDocs/.documents/
After that you can find the file in the Maemo File Manager by going to Nokia
N900 > Documents.

Many thanks
Comment 6 Venomrush 2010-03-04 19:16:56 UTC
Created an attachment (id=2433) [details]
reporter's syslog
Comment 7 Andre Klapper maemo.org 2010-03-29 22:24:11 UTC
*** Bug 9757 has been marked as a duplicate of this bug. ***
Comment 8 Andre Klapper maemo.org 2010-04-22 14:55:44 UTC
There are two lines in the syslog
  trying to create call to "985...
which don't look like any Nepalese numbers.
Lochan, was this a syslog for the specific case mentioned here or did you mix
up something?
Comment 9 Barry Grogan 2010-05-01 18:30:52 UTC
when recieving any calls at all my n900 just shows unknown number have tried
using my girlfriends phone, my work phone my home phone all which are in my
phonebook(sim and contacts) i used to have it working until the phone was
updated by nokia software updater then it worked for a few hours but then all
calls went to unknown number. this is confusing as i cannot see who is calling
and when i try to call back missed calls it just states unavailabl on the
yellow bar.
i really do not know where to start to try and put this right. is it possible
to downgrade the handset to 2009 build? maybe that will correct the issue?
many thanks for your help in this matter.
Comment 10 Andre Klapper maemo.org 2010-05-03 15:02:21 UTC
(In reply to comment #9)
> when recieving any calls at all my n900 just shows unknown number have tried
> using my girlfriends phone, my work phone my home phone all which are in my
> phonebook(sim and contacts)

Might not be the same problem handled in this report.
How many digits do these numbers have? Which country is this about?
Comment 11 Barry Grogan 2010-05-03 23:21:12 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > when recieving any calls at all my n900 just shows unknown number have tried
> > using my girlfriends phone, my work phone my home phone all which are in my
> > phonebook(sim and contacts)
> Might not be the same problem handled in this report.
> How many digits do these numbers have? Which country is this about?

this is occuring with all uk numbers, and they are mobile numbers with 11
digits and landline numbers with 11/12 digits too. as i said it was fine before
i upgraded but after upgrade its playing up. a bit of further info too as i
found out earlier, with a vodafone sim card the numbers come up and my orange
sim card in another phone works perfect but when the orange is put into the
n900 it comes up unknown number so i know its not the sim or network services,
maybe its something with the orange setup on the handset??is there anyway to
show anything with the setup? have tried also completely erasing the firmware
and reinstalling the latest firmware in case of glitch with the firmware. if
there is anything else i can do or add let me know ill sort it out as you guys
could need all the help you can get to sort this by look of things. many thanks
for the help so far
Comment 12 Andre Klapper maemo.org 2010-05-28 21:32:31 UTC
This week Nokia released the Maemo5 update version 10.2010.19-1 for public
(also called "PR1.2").
If you have some time we kindly ask you to test again if the problem reported
here still happens in this new version - just leave a comment (and feel free to
update the "Version" field to the new version if it's still a problem).
Comment 13 Andre Klapper maemo.org 2010-08-30 15:35:23 UTC
Is this still an issue in 10.2010.19-1?
Comment 14 racso_11_4 2010-08-31 03:20:21 UTC
I still can't see the numbers when incoming calls from a non-private phone
(In reply to comment #13)
> Is this still an issue in 10.2010.19-1?
>
Comment 15 Andre Klapper maemo.org 2010-08-31 14:53:55 UTC
racso: Can you also please answer the questions raised before in this report?
Short "me too" comments are often not helpful as it's not clear if you really
face the same problem...
Comment 16 thought 2010-10-05 17:51:39 UTC
(In reply to comment #13)
> Is this still an issue in 10.2010.19-1?
> 

Hi Andre,

I still have this bug. I upgraded to the new firware Over the Air from the
handset.  Then I reflashed manually (again to 10.2010.19-1).

1* Call my handset from a fixed line number (this dialling number is in the
address book).
2* Handset says "Unknown Number"
3* Answer call OR  
    (Don't answer OR  reject call) And Don't leave a message
4* Missed/Received calls list says "Unknown Number"

Same steps but this time leave a message
4* sms saying you missed a call from the correct number
5* correct number in missed calls list
Comment 17 thought 2010-10-05 17:54:05 UTC
(In reply to comment #10)
> How many digits do these numbers have? Which country is this about?

Hi Andre,

I have this in Ireland with various numbers such as +353 1 700 8793

- Eamon
Comment 18 Andre Klapper maemo.org 2010-10-11 15:06:27 UTC
So Lochan did not answer comment 8...

Can somebody else provide a syslog (see comment 5), please?
Comment 19 Andre Klapper maemo.org 2010-10-25 18:14:04 UTC
If this still happens in version 20.2010.36-2 can somebody else provide a
syslog (see comment 5), please?
Comment 20 Jan Marais 2010-11-17 18:59:40 UTC
Created an attachment (id=3202) [details]
My SysLog

Taken on 17 November 2010